Wireshark-dev: Re: [Wireshark-dev] Cygwin Bash update breaks verify_tools
From: "Menno Andriesse" <[email protected]>
Date: Wed, 6 Dec 2006 09:36:08 +0100
Hmm... I see what you mean. 

In a quick test I found that the only file that is a problem is
tools/win32-setup.sh.
How about the following change to the verify_tools: target in
Makefile.nmake:

>From :
verify_tools:
	@$(SH) tools\win32-setup.sh --appverify $(REQUIRED_TOOLS)

To:
verify_tools:
	dos2unix tools\win32-setup.sh
	@$(SH) tools\win32-setup.sh --appverify $(REQUIRED_TOOLS)

This makes sure that win32-setup.sh is the right format before it is called.

Menno.

-----Original Message-----
From: [email protected]
[mailto:[email protected]] On Behalf Of Ulf Lamping
Sent: maandag 4 december 2006 20:01
To: Developer support list for Wireshark
Subject: Re: [Wireshark-dev] Cygwin Bash update breaks verify_tools

Menno Andriesse wrote:
> Isn't it a better idea to set the svn:eol-style = LF property on the 
> script files?
> This way they will use LF as the EOL marker regardless of the OS you 
> are working on...
>   
This keeps the problem if someone uses the "wrong mode" in his editor -
adding new wrong eol's.

So in the end the current solution seems to be more obvious to understand
than the somewhat "hidden" subversion property.

Regards, ULFL
_______________________________________________
Wireshark-dev mailing list
[email protected]
http://www.wireshark.org/mailman/listinfo/wireshark-dev